/*********************************************************************

			        xBoard(TM) v2.0 Sample Programs
					-------------------------------


Description	: 	Simple program to TEST the Onboard TSOP Sensor Module.
				LED will glow when TSOP Senses IR Singanls


NOTE:	Close the following jumpers JP1 and J1


Author 		: Avinash Gupta 2008
Web			: www.eXtremeElectronics.co.in
                   
**********************************************************************/

#include <avr/io.h>

void main()
{
	//LED port as output
	DDRD|=(1<<PD7);

	while(1)
	{
		if(PIND & (1<<PD2))
		{
			//PD2 (IR Port) is high i.e. NO singnal, so turn off LED
			PORTD|=(1<<PD7);
		}
		else
		{
			//PD2 (IR Port) is low i.e. Signal is PRESENT, so turn on LED
			PORTD&=(~(1<<PD7));
		}	
	}
}		
			
